package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.procurepay;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 采购收款明细新增/修改 Request VO")
@Data
public class BpmOAProcurePayItemSaveReqVO {

    @Schema(description = "采购表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "24125")
    private Long id;

    @Schema(description = "申请人的用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "6961")
//    @NotNull(message = "申请人的用户编号不能为空")
    private Long userId;

    @Schema(description = "采购支付id", example = "29610")
    private Long bpmOaProcurePayId;

    @Schema(description = "采购计划id", example = "14925")
    private Long bpmOaProcureId;

    @Schema(description = "收款人")
    private String payee;

    @Schema(description = "收款账号")
    private String payeeNumber;

}