package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.second;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 功能描述 借调明细
 *
 * @author 符溶馨
 */
@Data
public class Second {

    @Schema(description = "物品名称-参见 bpm_oa_second_type 枚举", requiredMode = Schema.RequiredMode.REQUIRED)
    private String name;

    @Schema(description = "物品数量", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long number;
}
