package cn.iocoder.yudao.module.bpm.controller.admin.task.vo.instance;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

@Schema(description = "管理后台 - 流程实例统计查询 Item Response VO")
@Data
@ToString(callSuper = true)
public class BpmProcessFinishStatisticsRespVO {

    @Schema(description = "用户ID", example = "126")
    private Long userId;

    @Schema(description = "用户名称", example = "张三")
    private String name;
    
    @Schema(description = "已完成流程", example = "10")
    private Integer finfishCount;

    @Schema(description = "未完成流程", example = "20")
    private Integer unFinfishCount;

    @Schema(description = "完成率", example = "90%")
    private String completionRate ;

    @Schema(description = "流程耗时", example = "1.90000000(分钟)")
    private String userTime ;

    @Schema(description = "进度百分比", example = "95%")
    private int percentage ;

}
