package cn.iocoder.yudao.module.bpm.controller.admin.task.vo.instance;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.Set;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 流程实例统计查询 Item Response VO")
@Data
@ToString(callSuper = true)
public class BpmProcessInstanceStatisticsRespVO  {

    @Schema(description = "流程名称", example = "请假流程")
    private String name;
    
    @Schema(description = "流程实例统计数量", example = "1")
    private int totalCount;

    @Schema(description = "流程实例的状态", example = "1")
    private int result ;

}
