package cn.iocoder.yudao.module.system.controller.admin.groupshift.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 考勤组班次新增/修改 Request VO")
@Data
public class AttendanceGroupShiftSaveReqVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "5305")
    private Long id;

    @Schema(description = "考勤组id", example = "24585")
    private Long attendanceGroupId;

    @Schema(description = "班次名称", example = "张三")
    private String name;

    @Schema(description = "班次考勤时间json[{start_tiem:HH:mm,start_check_flag:true,end_time:HH:mm,end_check_flah: true}]")
    private String attendanceTimeJson;

}