package cn.iocoder.yudao.module.system.controller.admin.groupuser.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 考勤组人员新增/修改 Request VO")
@Data
public class AttendanceGroupUserSaveReqVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "31257")
    private Long id;

    @Schema(description = "考勤组id", example = "21406")
    private Long attendanceGroupId;

    @Schema(description = "用户id", example = "22547")
    private Long userId;

}