package cn.iocoder.yudao.module.system.controller.admin.scheduling.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 排班制考勤设置 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AttendanceSchedulingRespVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "23862")
    @ExcelProperty("编号")
    private Long id;

    @Schema(description = "第几天")
    @ExcelProperty("第几天")
    private Integer indexDay;

    @Schema(description = "考勤组id", example = "5025")
    @ExcelProperty("考勤组id")
    private Long attendanceGroupId;

    @Schema(description = "班次id", example = "9583")
    @ExcelProperty("班次id")
    private Long attendanceGroupShiftId;

    @Schema(description = "是否休息 0否 1是")
    @ExcelProperty("是否休息 0否 1是")
    private Integer restFlag;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}