package cn.iocoder.yudao.module.system.controller.admin.scheduling.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 排班制考勤设置新增/修改 Request VO")
@Data
public class AttendanceSchedulingSaveReqVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "23862")
    private Long id;

    @Schema(description = "第几天")
    private Integer indexDay;

    @Schema(description = "考勤组id", example = "5025")
    private Long attendanceGroupId;

    @Schema(description = "班次id", example = "9583")
    private Long attendanceGroupShiftId;

    @Schema(description = "是否休息 0否 1是")
    private Integer restFlag;

}