package cn.iocoder.yudao.module.system.convert.worklog;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.worklog.vo.loginstance.LogInstanceRespVO;
import cn.iocoder.yudao.module.system.controller.admin.worklog.vo.loginstance.LogInstanceSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.worklog.LogInstanceDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 日志详情 Convert
 *
 * @author furongxin
 */
@Mapper
public interface LogInstanceConvert {

    LogInstanceConvert INSTANCE = Mappers.getMapper(LogInstanceConvert.class);

    LogInstanceDO convert(LogInstanceSaveReqVO bean);


    LogInstanceRespVO convert(LogInstanceDO bean);

    PageResult<LogInstanceRespVO> convertPage(PageResult<LogInstanceDO> page);
}
