package cn.iocoder.yudao.module.system.dal.mysql.worklog;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.QueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.worklog.vo.form.LogFormPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.worklog.LogFormDO;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface LogFormMapper extends BaseMapperX<LogFormDO> {

    default PageResult<LogFormDO> selectPage(LogFormPageReqVO reqVO) {
        return selectPage(reqVO, new QueryWrapperX<LogFormDO>()
                .likeIfPresent("name", reqVO.getName())
                .orderByDesc("id"));
    }
}
