package cn.iocoder.yudao.module.smartfactory.controller.admin.screendata.factory.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 功能描述
 *
 * @author: yj
 * @date: 2024年03月05日 13:55
 */
@Data
public class ObtainFactoryInboundAndOutboundStatusVO {
    @Schema(description = "今日入库")
    private Integer inToday;
    @Schema(description = "本月入库")
    private Integer inMonth;

    @Schema(description = "今日出库")
    private Integer outToday;
    @Schema(description = "本月出库")
    private Integer outMonth;

    @Schema(description = "今日破损")
    private Integer damagedTotal;
    @Schema(description = "同比昨日上升")
    private Double increaseCompared;
}
