package cn.iocoder.yudao.module.smartfactory.controller.admin.screendata.factory.vo;

import cn.iocoder.yudao.module.smartfactory.dal.dataobject.factoryinfo.FactoryInfoDO;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * 功能描述
 *
 * @author: yj
 * @date: 2024年03月05日 13:55
 */
@Schema(description = "大屏数据 - 省份工厂数据 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ProvincesDataRespVO {

    @Schema(description = "区域代码", requiredMode = Schema.RequiredMode.REQUIRED, example = "810000")
    private Long adCode;

    @Schema(description = "工厂数量", requiredMode = Schema.RequiredMode.REQUIRED, example = "10")
    private Integer value;

    @Schema(description = "工厂列表", requiredMode = Schema.RequiredMode.REQUIRED, example = "10")
    private List<FactoryInfoDO> vos;
}
