package cn.iocoder.yudao.module.smartfactory.controller.admin.screenfactoryextra.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 工厂大屏额外字段 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ScreenFactoryExtraRespVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "21735")
    @ExcelProperty("主键id")
    private Long id;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "7332")
    @ExcelProperty("工厂id")
    private Long factoryId;

    @Schema(description = "日产能数")
    @ExcelProperty("日产能数")
    private Integer dateNum;

    @Schema(description = "叉车运行数量")
    @ExcelProperty("叉车运行数量")
    private Integer truckOnNum;

    @Schema(description = "叉车未运行数量")
    @ExcelProperty("叉车未运行数量")
    private Integer truckOffNum;

    @Schema(description = "叉车总数量")
    @ExcelProperty("叉车总数量")
    private Integer truckTotalNum;

    @Schema(description = "窑炉数量")
    @ExcelProperty("窑炉数量")
    private Integer ylNum;

    @Schema(description = "打包线数量")
    @ExcelProperty("打包线数量")
    private Integer dbxNum;

    @Schema(description = "托盘数量")
    @ExcelProperty("托盘数量")
    private Integer tpNum;

    @Schema(description = "绑带数量")
    @ExcelProperty("绑带数量")
    private Integer bdNum;

    @Schema(description = "作业人数")
    @ExcelProperty("作业人数")
    private Integer workerNum;

    @Schema(description = "电动车数量")
    @ExcelProperty("电动车数量")
    private Integer vehicleNum;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}