package cn.iocoder.yudao.module.smartfactory.controller.admin.screenfactoryextra.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 工厂大屏额外字段新增/修改 Request VO")
@Data
public class ScreenFactoryExtraSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "21735")
    private Long id;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "7332")
    @NotNull(message = "工厂id不能为空")
    private Long factoryId;

    @Schema(description = "日产能数")
    private Integer dateNum;

    @Schema(description = "叉车运行数量")
    private Integer truckOnNum;

    @Schema(description = "叉车未运行数量")
    private Integer truckOffNum;

    @Schema(description = "叉车总数量")
    private Integer truckTotalNum;

    @Schema(description = "窑炉数量")
    private Integer ylNum;

    @Schema(description = "打包线数量")
    private Integer dbxNum;

    @Schema(description = "托盘数量")
    private Integer tpNum;

    @Schema(description = "绑带数量")
    private Integer bdNum;

    @Schema(description = "作业人数")
    private Integer workerNum;

    @Schema(description = "电动车数量")
    private Integer vehicleNum;

}