package cn.iocoder.yudao.module.system.api.subscribe.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 功能描述
 *
 * @author: yj
 * @date: 2024年02月25日 15:58
 */
@Data
public class MsgData {

    @Schema(description = "模版消息字段名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "thing1")
    @NotNull(message = "模板消息的名称不能为空")
    private String name;

    @Schema(description = "模版消息字段值", requiredMode = Schema.RequiredMode.REQUIRED, example = "OnJjp5pdjG1PHMoELYaqp3Xq8jWZ5E6ndO0clEIQ4tk")
    @NotNull(message = "模板消息的value不能为空")
    private String value;
}
