package cn.iocoder.yudao.module.system.controller.admin.fixed.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 固定班制考勤设置新增/修改 Request VO")
@Data
public class AttendanceFixedSaveReqVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "23824")
    private Long id;

    @Schema(description = "考勤组id", example = "19908")
    private Long attendanceGroupId;

    @Schema(description = "周时间 1-7")
    private Integer weekTime;

    @Schema(description = "班次id", example = "16385")
    private Long attendanceGroupShiftId;

}