package cn.iocoder.yudao.module.system.controller.admin.groupuser.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 考勤组人员 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AttendanceGroupUserRespVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "31257")
    @ExcelProperty("编号")
    private Long id;

    @Schema(description = "考勤组id", example = "21406")
    @ExcelProperty("考勤组id")
    private Long attendanceGroupId;

    @Schema(description = "用户id", example = "22547")
    @ExcelProperty("用户id")
    private Long userId;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}