package cn.iocoder.yudao.module.system.controller.admin.worklog.vo.upload;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 功能描述 用于给日志附件同用的上传文件对象
 */
@Data
public class UploadUserFile {

    @Schema(description = "文件原始名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "123.jpg")
    private String  name;

    @Schema(description = "文件URL", requiredMode = Schema.RequiredMode.REQUIRED, example = "http://xxx.xxx/xx/xx/123.jpgss")
    private String  url;
}
