package cn.iocoder.yudao.module.system.controller.app.attendance.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
public class AttendancePunchPageDTO {

    @Schema(description = "经度")
    private String longitude;

    @Schema(description = "纬度")
    private String latitude;

    @Schema(description = "当前用户id", hidden = true)
    private Long userId;

}
