package cn.iocoder.yudao.module.system.dal.dataobject.worklog;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 日志规则 DO
 *
 * @author 符溶馨
 */
@TableName("work_log_rule")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LogRuleDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 模板使用部门组
     */
    private String deptIds;
    /**
     * 日志类型
     */
    private Integer type;
    /**
     * 日报情况，需提交的日期
     */
    private String weekDays;
    /**
     * 提交开始时间段
     */
    private String startTime;
    /**
     * 提交结束时间段
     */
    private String endTime;
    /**
     * 提醒时间(小时)
     */
    private Integer remindTime;
    /**
     * 统计时间段
     */
    private String statisticalTime;

}