package cn.iocoder.yudao.module.smartfactory.controller.admin.screendata.factory.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 功能描述
 *
 * @author: yj
 * @date: 2024年03月05日 13:55
 */
@Schema(description = "大屏数据 - 数据总揽")
@Data
public class DataOverviewVO {
    @Schema(description = "员工数量")
    private Integer total;
    @Schema(description = "窑炉数量")
    private Integer ylNum;
    @Schema(description = "叉车台数")
    private Integer forkliftTotal;
    @Schema(description = "叉车运行数量")
    private Integer truckOnNum;
    @Schema(description = "叉车未运行数量")
    private Integer truckOffNum;
    @Schema(description = "打包线数量")
    private Integer dbxNum;
    @Schema(description = "托盘数")
    private Integer tpNum;
    @Schema(description = "绑带数")
    private Integer bdNum;
    @Schema(description = "出库")
    private Integer outTotalNum;
    @Schema(description = "入库")
    private Integer inTotalNum;
}
