package cn.iocoder.yudao.module.smartfactory.controller.admin.screendata.factory.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 功能描述
 *
 * @author: yj
 * @date: 2024年03月05日 13:55
 */
@Schema(description = "大屏数据 - 工厂打包线数据 Response VO")
@Data
public class FactoryPackLineDataRespVO {

    @Schema(description = "打包线id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Long packLineId;

    @Schema(description = "打包线名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private String packLineName;

    @Schema(description = "规格id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private String sizeId;

    @Schema(description = "规格名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "800 * 400")
    private String sizeName;

    @Schema(description = "打包数量", requiredMode = Schema.RequiredMode.REQUIRED, example = "1024")
    private Integer total;

    @Schema(description = "日期", requiredMode = Schema.RequiredMode.REQUIRED, example = "2024-03-04")
    private String date;

}
