package cn.iocoder.yudao.module.smartfactory.controller.admin.screendata.factory.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * 功能描述
 *
 * @author: yj
 * @date: 2024年03月05日 13:55
 */
@Schema(description = "大屏数据 - 工厂天气数据 Response VO")
@Data
public class FactoryWeatherDataRespVO {

    @Schema(description = "工厂ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "1024")
    private Long factoryId;

    @Schema(description = "城市编码", requiredMode = Schema.RequiredMode.REQUIRED, example = "200")
    private String  areaCode ;

    @Schema(description = "温度", requiredMode = Schema.RequiredMode.REQUIRED, example = "12.3")
    private String temperature ;

    @Schema(description = "湿度", requiredMode = Schema.RequiredMode.REQUIRED, example = "68%")
    private String humidity ;

    @Schema(description = "天气", requiredMode = Schema.RequiredMode.REQUIRED, example = "晴")
    private String weather ;

    @Schema(description = "日期", requiredMode = Schema.RequiredMode.REQUIRED, example = "晴")
    private String date ;

}
