package cn.iocoder.yudao.module.smartfactory.controller.admin.worktype.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 工种 Response VO")
@Data
@ExcelIgnoreUnannotated
public class WorkTypeRespVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "16669")
    @ExcelProperty("主键id")
    private Long id;

    @Schema(description = "岗位id", requiredMode = Schema.RequiredMode.REQUIRED, example = "30476")
    @ExcelProperty("岗位id")
    private Long postId;

    @Schema(description = "名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "赵六")
    @ExcelProperty("名称")
    private String name;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}