package cn.iocoder.yudao.module.smartfactory.controller.admin.worktype.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 工种新增/修改 Request VO")
@Data
public class WorkTypeSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "16669")
    private Long id;

    @Schema(description = "岗位id", requiredMode = Schema.RequiredMode.REQUIRED, example = "30476")
    @NotNull(message = "岗位id不能为空")
    private Long postId;

    @Schema(description = "名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "赵六")
    @NotEmpty(message = "名称不能为空")
    private String name;

}